<?php
function houdabusiness_custom_header_setup() {
	add_theme_support( 'custom-header', apply_filters( 'houdabusiness_custom_header_args', array(
		'default-image'          => '',
		'default-text-color'     => 'fffeff',
		'width'                  => 2000, 
		'height'                 => 200,
		'flex-height'            => true,
		'wp-head-callback'       => 'houdabusiness_header_style',
	) ) );
}
add_action( 'after_setup_theme', 'houdabusiness_custom_header_setup' );

if ( ! function_exists( 'houdabusiness_header_style' ) ) :

function houdabusiness_header_style() {
	$header_text_color = get_header_textcolor();


	$houdabusiness_topheader_bgcolor = get_theme_mod('houdabusiness_topheader_bgcolor','#000');
	$topheader_stickybgcolor = get_theme_mod('topheader_stickybgcolor','#000');


	?>
	<style type="text/css">
		.main-header .topheader {
			background: <?php echo esc_attr( $houdabusiness_topheader_bgcolor ); ?>;
		}

		.main-header.header-fixed {
			background: <?php echo esc_attr( $topheader_stickybgcolor ); ?>;
		}

	<?php
		if ( ! display_header_text() ) :
	?>
		.site-title,
		.site-description {
			position: absolute;
			clip: rect(1px, 1px, 1px, 1px);
		}
	<?php
		else :
	?>
		h4.site-title,
		p.site-description {
			color: #<?php echo esc_attr( $header_text_color ); ?>;
		}
		
	<?php endif; ?>


	</style>
	<?php
}
endif;
